import { Options } from '../../../../shared/types.js';
import 'zod';
import '../../../../shared/codes.js';

declare function createDotGitHubFiles(options: Options): Promise<{
    "renovate.json"?: string | undefined;
    "ISSUE_TEMPLATE.md": string;
    "PULL_REQUEST_TEMPLATE.md": string;
    "SECURITY.md": string;
    "FUNDING.yml"?: string | undefined;
    "CODE_OF_CONDUCT.md": string;
    "CONTRIBUTING.md": string;
    "DEVELOPMENT.md": string;
}>;

export { createDotGitHubFiles };
