import { Octokit } from 'octokit';
import { Options } from '../shared/types.js';
import 'zod';
import '../shared/codes.js';

type InitializeRepositorySettings = Pick<Options, "description" | "owner" | "repository">;
declare function initializeRepositorySettings(octokit: Octokit, { description, owner, repository }: InitializeRepositorySettings): Promise<void>;

export { initializeRepositorySettings };
